Some thoughts on Xen

Well, normally I wouldn’t post such trivial crap in English but this topic really aggravates me.

The paravirtualization technology known as Xen is nice and all but can hardly be incorporated into mainline kernels. The only supported version I’ve found is 2.6.18, which is – let’s just be honest – unacceptably old. For certain reasons I’ve been working on a system that requires newer kernels to work but I’m not willing to resort to unstable patches like Ubuntu produces them.

Of course, I know kernel 2.6.23 will provide initial Xen support. However, same rule that permits the use of some shady patches, applies to WIP kernel versions aswell. So I’m pretty much between a rock and a hard place for quite some time now.

I won’t deny the fact that it is probably hard to keep the patches in line with the revisions of kernel versions, more so when it is support for a free-of-charge version. There should be some level of support though. This is just sad because the technology certainly is there for me and I’d love to get into it.

Feel free to point me in the right direction if this is just plain wrong. I’d be delighted to get some input on this topic.

For the time being, I guess it’s time to waity-waity for in-kernel support. I hope the Debian hypervisor will play nice with a custom 2.6.23 kernel when it comes around 🙂 .

About Tsukasa

The fool's herald.
This entry was posted in Blog. Bookmark the permalink.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.